Bug 1456817 - Use of uninitialized value $fh in pattern match (m//) at /usr/share/perl5/vendor_perl/Proc/PID/File.pm line 286.
Summary: Use of uninitialized value $fh in pattern match (m//) at /usr/share/perl5/ven...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Proc-PID-File
Version: 29
Hardware: Unspecified
OS: All
unspecified
low
Target Milestone: ---
Assignee: marianne@tuxette.fr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-30 12:28 UTC by Edgar Hoch
Modified: 2019-01-03 05:29 UTC (History)
4 users (show)

Fixed In Version: perl-Proc-PID-File-1.29-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 05:29:16 UTC


Attachments (Terms of Use)
Perl test program for Proc::PID::File (159 bytes, application/x-perl)
2017-05-30 12:28 UTC, Edgar Hoch
no flags Details


Links
System ID Priority Status Summary Last Updated
CPAN 108434 None None None 2018-11-27 23:14:42 UTC

Description Edgar Hoch 2017-05-30 12:28:58 UTC
Created attachment 1283443 [details]
Perl test program for Proc::PID::File

Description of problem:

When calling the attached perl program I get the following error messages:

Use of uninitialized value $fh in pattern match (m//) at /usr/share/perl5/vendor_perl/Proc/PID/File.pm line 286.
Use of uninitialized value $fh in pattern match (m//) at /usr/share/perl5/vendor_perl/Proc/PID/File.pm line 286.

The problem seems to be that sub alive calls sub read without a parameter.



Version-Release number of selected component (if applicable):
perl-Proc-PID-File-1.28-1.fc25.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Call the atteched perl program.

Actual results:
Error message:
Use of uninitialized value $fh in pattern match (m//) at /usr/share/perl5/vendor_perl/Proc/PID/File.pm line 286.
Use of uninitialized value $fh in pattern match (m//) at /usr/share/perl5/vendor_perl/Proc/PID/File.pm line 286.

Expected results:
Nothing (no error, no output)

Comment 1 Fedora End Of Life 2017-11-16 19:31:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:47:14 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Edgar Hoch 2018-02-14 16:41:37 UTC
The error still occurs on Fedora 27.

perl-Proc-PID-File-1.28-4.fc27.noarch

Comment 4 Ben Cotton 2018-11-27 17:04:38 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Edgar Hoch 2018-11-27 17:08:02 UTC
The error still occurs on Fedora 29.

perl-Proc-PID-File-1.29-1.fc29.noarch

Comment 6 Emmanuel Seyman 2018-11-27 23:14:42 UTC
This was reported upstream: https://rt.cpan.org/Public/Bug/Display.html?id=108434
The upstream bug report contains a patch.

Comment 7 Emmanuel Seyman 2018-12-02 11:29:40 UTC
FTR, I've submitted a pull request that fixes this issue.

Comment 8 Fedora Update System 2018-12-18 02:12:02 UTC
perl-Proc-PID-File-1.29-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b93af8a048

Comment 9 Fedora Update System 2019-01-03 05:29:16 UTC
perl-Proc-PID-File-1.29-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.